Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::DynArray_var Class Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::DynArray_var:

[legend]
Collaboration diagram for DynamicAny::DynArray_var:

[legend]
List of all members.

## Public Methods
| DynArray_var (void)
| DynArray_var (DynArray_ptr p)
| DynArray_var (const DynArray_var &)
| ~DynArray_var (void)
DynArray_var & | operator= (DynArray_ptr)
DynArray_var & | operator= (const DynArray_var &)
DynArray_ptr | operator-> (void) const
| operator const DynArray_ptr & () const
| operator DynArray_ptr & ()
DynArray_ptr | in (void) const
DynArray_ptr & | inout (void)
DynArray_ptr & | out (void)
DynArray_ptr | _retn (void)
DynArray_ptr | ptr (void) const
## Static Public Methods
DynArray_ptr | tao_duplicate (DynArray_ptr)
void | tao_release (DynArray_ptr)
DynArray_ptr | tao_nil (void)
DynArray_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| DynArray_var (const TAO_Base_var &rhs)
DynArray_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
DynArray_ptr | ptr_

## Constructor & Destructor Documentation

DynamicAny::DynArray_var::DynArray_var | ( | void |  | ) |

DynamicAny::DynArray_var::DynArray_var | ( | DynArray_ptr | p | ) | `[inline]`

DynamicAny::DynArray_var::DynArray_var | ( | const DynArray_var & |  | ) |

DynamicAny::DynArray_var::~DynArray_var | ( | void |  | ) |

DynamicAny::DynArray_var::DynArray_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

DynArray_ptr DynamicAny::DynArray_var::_retn | ( | void |  | ) |

DynArray_ptr DynamicAny::DynArray_var::in | ( | void |  | ) | const

DynArray_ptr& DynamicAny::DynArray_var::inout | ( | void |  | ) |

DynamicAny::DynArray_var::operator const DynArray_ptr & | ( |  | ) | const

DynamicAny::DynArray_var::operator DynArray_ptr & | ( |  | ) |

DynArray_ptr DynamicAny::DynArray_var::operator-> | ( | void |  | ) | const

DynArray_var& DynamicAny::DynArray_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

DynArray_var& DynamicAny::DynArray_var::operator= | ( | const DynArray_var & |  | ) |

DynamicAny::DynArray_var & DynamicAny::DynArray_var::operator= | ( | DynArray_ptr | p | ) |

DynArray_ptr& DynamicAny::DynArray_var::out | ( | void |  | ) |

DynamicAny::DynArray_ptr DynamicAny::DynArray_var::ptr | ( | void |  | ) | const

DynArray_ptr DynamicAny::DynArray_var::tao_duplicate | ( | DynArray_ptr |  | ) | `[static]`

DynArray_ptr DynamicAny::DynArray_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

DynArray_ptr DynamicAny::DynArray_var::tao_nil | ( | void |  | ) | `[static]`

void DynamicAny::DynArray_var::tao_release | ( | DynArray_ptr |  | ) | `[static]`

CORBA::Object* DynamicAny::DynArray_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

DynArray_ptr DynamicAny::DynArray_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- DynamicAnyC.h
- DynamicAnyC.cpp